#!/bin/sh
FNGSYSTEM_SIZE=$(stat -c "%s" "$(realpath fngsystem-image-seco-mx6ull.cpio.gz)")
echo "exec -b 0x80800000 -r 0x82000000 -s $FNGSYSTEM_SIZE \"console=ttymxc0,115200 root=/dev/ram0 rootfstype=ramfs rdinit=/sbin/init cma=0 fngsystem=mfg\"" > fngboot-mx6.cfg

cat uImage-seco-mx6ull.bin imx6ull-nallino.dtb > linuximage

UUU=$(which uuu 2>/dev/null)
if [ -z "$UUU" ];then
    UUU="$(dirname "$0")/uuu"
fi
$UUU -d -b uuu-seco-mx6ull.lst fngboot.bin fngboot-mx6.cfg linuximage fngsystem-image-seco-mx6ull.cpio.gz
